summaryrefslogtreecommitdiffstats
path: root/debian/tests/test-root
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:40:32 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 09:40:32 +0000
commit76faa357888fc7ac8697e12f151f70fd7227a978 (patch)
tree5cfd018ebeb537a499caa021a008c6e51cc22d73 /debian/tests/test-root
parentAdding upstream version 1.20.13. (diff)
downloaddpkg-76faa357888fc7ac8697e12f151f70fd7227a978.tar.xz
dpkg-76faa357888fc7ac8697e12f151f70fd7227a978.zip
Adding debian version 1.20.13.debian/1.20.13debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/tests/test-root14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/tests/test-root b/debian/tests/test-root
new file mode 100644
index 0000000..d4c658f
--- /dev/null
+++ b/debian/tests/test-root
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+if [ "$(id -u)" != '0' ]; then
+ # Fail, we declared needing root as a restriction.
+ exit 1
+fi
+
+srcdir="$(pwd)"
+
+cd $AUTOPKGTEST_TMP
+"$srcdir/configure" --disable-nls --disable-dselect
+make installcheck TESTSUITEFLAGS=--verbose